EUSCALE-CREATE-LAUNCH-CONFIG(1)

NAME
euscale-create-launch-config - Create a new auto-scaling instance launch configuration

SYNOPSIS
euscale-create-launch-config -i IMAGE -t TYPE

[--associate-public-ip-address {true,false}]
    [--block-device-mapping DEVICE1=MAPPED1,DEVICE2=MAPPED2,...] [--ebs-optimized] [--group GROUP1,GROUP2,...] [--iam-instance-profile PROFILE] [--kernel KERNEL] [--key KEYPAIR] [--monitoring-enabled] [--monitoring-disabled] [--ramdisk RAMDISK] [--spot-price PRICE] [-d DATA | --user-data-force DATA | -f FILE] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] LAUNCHCONFIG

DESCRIPTION
Create a new auto-scaling instance launch configuration

  positional arguments:

LAUNCHCONFIG
    name of the new launch configuration (required)

  optional arguments:

-i IMAGE, --image-id IMAGE
    machine image to use for instances (required)

-t TYPE, --instance-type TYPE
    instance type for use for instances (required)

--associate-public-ip-address {true,false}
    [VPC only] whether to assign instances public IP addresses

--block-device-mapping DEVICE1=MAPPED1,DEVICE2=MAPPED2,...
    a comma-separated list of block device mappings for the image, in the form DEVICE=MAPPED, where "MAPPED" is "none", "ephemeral(0-3)", or "[SNAPID]:[GiB]:[true|false]

--ebs-optimized
    whether the instance is optimized for EBS I/O

--group GROUP1,GROUP2,...
    a comma-separated list of security groups with which to associate instances. Either all group names or all group IDs are allowed, but not both.

--iam-instance-profile PROFILE
    ARN of the instance profile associated with instances' IAM roles

--kernel KERNEL
    kernel image to use for instances

--key KEYPAIR
    name of the key pair to use for instances

--monitoring-enabled
    enable detailed monitoring (enabled by default)

--monitoring-disabled
    disable detailed monitoring (enabled by default)

--ramdisk RAMDISK
    ramdisk image to use for instances

--spot-price PRICE
    maximum hourly price for any spot instances launched

-d DATA, --user-data DATA
    user data to make available to instances

--user-data-force DATA
    same as -d/--user-data, but without checking if a file by that name exists first

-f FILE, --user-data-file FILE
    file containing user data to make available to instances

-U URL, --url URL
    auto-scaling service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit